:root {
    --clr-white: #FFFFFF;
    --clr-bg-sand: #F5F0E6;
    --clr-accent-sky: #00AEEF;
    --clr-text-dark: #323031;
    --clr-text-light: #FFFFFF; /* A white for dark backgrounds */
}
html{
    scroll-padding-top: 100px;
}
/* Reset i podstawy */
body, html {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    font-family: Calibri, sans-serif;
}

@media (min-width: 1024px) {
    section {
        padding: 60px 15%; /* Odstęp wewnątrz sekcji */
        border-bottom: 1px solid #eee;
        font-size: 1.5rem;
    }

    /* Przyklejone menu */
    .sticky-nav {
        position: sticky;
        display: flex;
        align-items: center;
        justify-content: space-around;
        top: 0;
        width: 100%;
        height: 100px;
        background-color: var(--clr-white);
        color: var(--clr-text-dark);
        box-shadow: 0 2px 5px rgba(0,0,0,0.1);
        z-index: 1000;
    }

    footer {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(2, auto);
        justify-content: start;
    }

    .copyright {
        grid-column-start: 1;
        grid-column-end: 4;
        justify-self: center;
    }

    footer ul li {
        list-style: none;
        font-size: 1.15rem;
    }

    footer ul li a {
        text-decoration: none;
    }

    #footer-address-header {
        font-weight: bold;
    }

    #footer-shortcut-header {
        font-weight: bold;
    }

    .logo {
        display: flex;         /* 1. Makes the children (image and H1) line up horizontally */
        align-items: center;   /* 2. Vertically aligns the text with the center of the image */
        justify-content: space-between;
        gap: 30px;             /* 3. Adds space between the logo and the text */
        height: 100%;
    }

    .logo h1 {
        white-space: nowrap;
    }

    .logo img {
        height: 80%;
        width: auto;
    }

    .sticky-nav ul {
        list-style: none;
        display: flex;
        margin: 0;
    }

    .sticky-nav ul li {
        font-size: 1.2rem;
    }

    .sticky-nav a {
        color: var(--clr-text-dark);
        text-decoration: none;
        padding: 10px 15px;
        font-weight: bold;
        height: 100%;
    }

    .sticky-nav a:hover {
        background: rgba(32, 30, 31, 30%);
    }
}